#include "Exception.h"

#include <iostream>

using namespace std;

Exception::Exception(string message)
{
    this->message = message;
    this->line = -1;
}

Exception::Exception(string message, int line)
{
    this->message = message;
    this->line = line;
}

void Exception::print() const
{
    cout << message;
    if(line != -1)
    {
        cout << "(" << line << ")";
    }
    cout << endl;
}


