#include "Utils.h"

bool isLetter(char c)
{
    return ('a' <= c && 'z' >= c) || ('A' <= c && 'Z' >= c);
}

bool isDigit(char c)
{
    return '0' <= c && '9' >= c;
}

bool isLetterOrDigit(char c)
{
    return isLetter(c) || isDigit(c);
}

bool isAllowedInName(char c)
{
    return isLetter(c) || isDigit(c) || c == '.' || c == '_';
}

