#include "Compiler.h"
#include "../Exception.h"

Compiler::Compiler(string s) : tokenizer(s)
{
}

Compiler::~Compiler()
{
}

void Compiler::compile()
{
    TokenList tokens;
    try
    {
        tokenizer.tokenize(tokens);
        compile(tokens);
    }
    catch(Exception ex)
    {
        ex.print();
    }
}

void Compiler::compile(TokenList& tokens)
{
    tokens.forEach([](Token* t) 
    {
        cout << *t << endl;
    });
}
