#ifndef COMPILER_H
#define COMPILER_H

#include <string>
#include "../data/ArrayList.h"
#include "Token.h"
#include "Tokenizer.h"

using namespace std;

class Compiler
{
public:
    Compiler(string s);
    virtual ~Compiler();
    
    void compile();
private:
    Tokenizer tokenizer;
    
    void compile(TokenList& tokens);
};

#endif

