#ifndef TOKENLIST_H
#define TOKENLIST_H

#include "Token.h"
#include "../data/ArrayList.h"

class TokenList
{
public:
    TokenList();
    TokenList(const TokenList& orig);
    virtual ~TokenList();
    
    void add(Token* t);
    void remove(int index);
    void forEach(void (*f) (Token*));
private:
    ArrayList<Token*> list;
};

#endif

